%define	version	0.4.7
%define	release	1mdk

%define	pname	crimson
%define	name	%{pname}-fields

Name:		%name
Version:	%{version}
Release:	%{release}
Summary:	Crimson Fields - Tactical war game with hexagonal grid
License:	GPL
Group:		Games/Strategy
URL:		http://crimson.seul.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		http://crimson.seul.org/files/%{pname}-%{version}.tar.bz2

BuildRequires:	ImageMagick SDL_mixer-devel SDL_ttf-devel libxslt-proc zlib-devel
Obsoletes:	crimson-field
Provides:	crimson-field

%package	utils
Summary:	Utilities for Crimson Fields (a tactical war game)
Group:		Games/Strategy
Requires:	%{name} = %{version}

%description
Crimson Fields is a tactical war game in the tradition of Battle Isle. While
not being an exact clone, it tries to keep closer to the very first part of the
series than to the later ones, especially with regard to a rather simple rule
set and straight forward game play.

A simple editor can be used to create custom level files.

%description	utils
Crimson Fields is a tactical war game in the tradition of Battle Isle. While
not being an exact clone, it tries to keep closer to the very first part of the
series than to the later ones, especially with regard to a rather simple rule
set and straight forward game play.

This package includes utilities for Crimson Fields, including a simple map
editor for creating custom level files, map compiler and Battle Isle map
conversion tool.

%prep
%setup -q -n %{pname}-%{version}

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--enable-cfed \
	--enable-bi2cf \
	--enable-comet

# (Abel) cfed uses SDL which initializes directfb when trying to build
# level files, which means this package is unbuildable without console
# access (at least I don't know how to do it without console access).
# When updating package, please regenerate level files in your machine
# and bundle them into source1.
# Version check is for preventing brainless updating.
[ "%version" = "0.4.2" ] && tar --bzip2 -xf %{SOURCE1}
touch levels/*.lev

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): \
 command="%{_gamesbindir}/%{pname}" \
 icon="%{pname}.png" \
 needs="x11" \
 section="Amusement/Strategy" \
 title="Crimson Fields" \
 longtitle="Tactical war game with hexagonal grid"
EOF

install -d $RPM_BUILD_ROOT%{_iconsdir} \
           $RPM_BUILD_ROOT%{_miconsdir}
install -m644 gfx/crimson.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{pname}.png
convert -geometry 32x32 gfx/crimson.png $RPM_BUILD_ROOT%{_iconsdir}/%{pname}.png
convert -geometry 16x16 gfx/crimson.png $RPM_BUILD_ROOT%{_miconsdir}/%{pname}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS README 
%{_menudir}/%{name}
%{_iconsdir}/%{pname}.png
%{_miconsdir}/%{pname}.png
%{_liconsdir}/%{pname}.png
%{_gamesbindir}/crimson
%{_datadir}/%{pname}
%{_datadir}/pixmaps/*
%{_mandir}/man6/crimson.*

%files utils
%defattr(-,root,root)
%doc README.CoMET README.bi2cf
%{_gamesbindir}/comet
%{_gamesbindir}/cfed
%{_gamesbindir}/bi2cf
%{_mandir}/man6/comet.*
%{_mandir}/man6/cfed.*
%{_mandir}/man6/bi2cf.*

%changelog
* Wed Feb 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Fri Jun 18 2004 Abel Cheung <deaddog@deaddog.org> 0.4.2-1mdk
- New version
- Build map editor and other utils as well

* Thu Mar 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Wed Feb 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.0-1mdk
- 0.4.0
- buildrequires
- cosmetics
- drop unused icons from src.rpm

* Thu Jan 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- rename to crimson-fields

* Wed Oct 08 2003 Abel Cheung <deaddog@deaddog.org> 0.3.7-1mdk
- 0.3.7
- Switch rpm name back to "crimson" as all other crimson packages
  are named so, and this is for ease of spec maintenance
- Move binary to games related path
- Use original icons (which seem to make more sense) and keep
  original ones. Please yell if custom icons are in fact preferred...

* Wed Aug 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-2mdk
- rebuild

* Wed Jul 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- from Arkadiusz Lipiec <alipiec@elka.pw.edu.pl> :
        - 0.3.4

* Wed May 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Thu May 15 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Arkadiusz Lipiec <alipiec@elka.pw.edu.pl> : 
	- 0.3.2

* Thu Apr 24 2003 Arkadiusz Lipiec <alipiec@elka.pw.edu.pl> 0.3.1-1mdk
- 0.3.1
- created png icons and menu entries
- rebuilt

* Mon Feb 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- 0.3.0

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.8-2mdk
- rebuild

* Sun Nov 03 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.2.8-1mdk
- 0.2.8

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-3mdk
- rebuild

* Thu Jul 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.6-2mdk
- rebuild for new vorbis

* Tue Jul 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-1mdk
- 0.2.6

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- 0.2.5

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-2mdk
- rebuild against new libstdc++

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- 0.2.3

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- 0.2.2

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-2mdk
- renamed to crimson-field

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-1mdk
- updated to 0.1.6

* Tue Jun 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- added in contribs by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- first Mandrake release
